# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python
# END SourceDeps(oneline)
%define oldname PythonCard
%define fedora 19
%define python_sitelib %(%{__python} -c 'from distutils import sysconfig; print sysconfig.get_python_lib(0)')

Name: 		python-module-PythonCard
Version:	0.8.2
Release:	alt1_11
Summary:	PythonCard GUI construction toolkit 

Source:		http://dl.sf.net/pythoncard/%{oldname}-%{version}.tar.gz
# Fix doc syntax. Otherwise package does not build. Upstreamable:
Patch0:		PythonCard-docfix.patch
URL:		http://pythoncard.sourceforge.net/

Group:		Development/Python
License:	BSD


BuildRequires:	python-devel python-module-wx-devel
BuildArch:	noarch
Source44: import.info
# optional
%filter_from_requires /^python....gadfly./d
%filter_from_requires /^python....addresses./d

%description
PythonCard is a GUI construction kit for building cross-platform desktop
applications on Windows, Mac OS X, and Linux, using the Python language.

%prep
%setup -n %{oldname}-%{version} -q
%patch0 -p1

%build
env CFLAGS="$RPM_OPT_FLAGS" python setup.py build 

%install
env CFLAGS="$RPM_OPT_FLAGS" python setup.py install --root=$RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{_docdir}/%{oldname}-%{version}
mv $RPM_BUILD_ROOT/%{python_sitelibdir_noarch}/%{oldname}/samples $RPM_BUILD_ROOT/%{_docdir}/%{oldname}-%{version}/
mv $RPM_BUILD_ROOT/%{python_sitelibdir_noarch}/%{oldname}/docs $RPM_BUILD_ROOT/%{_docdir}/%{oldname}-%{version}/
mv $RPM_BUILD_ROOT/%{python_sitelibdir_noarch}/%{oldname}/tools $RPM_BUILD_ROOT/%{_docdir}/%{oldname}-%{version}/examples
mv *.txt $RPM_BUILD_ROOT/%{_docdir}/%{oldname}-%{version}/
rm -rf $RPM_BUILD_ROOT/%{python_sitelibdir_noarch}/%{oldname}/build

%files
%exclude %{_bindir}/install-pythoncard.*
%if 0%{?fedora} >= 9
%{python_sitelibdir_noarch}/*egg-info
%endif
%{python_sitelibdir_noarch}/%{oldname}
%{_docdir}/%{oldname}-%{version}

%changelog
* Thu Feb 21 2013 Igor Vlasenko <viy@altlinux.ru> 0.8.2-alt1_11
- update to new release by fcimport

* Wed Jan 09 2013 Igor Vlasenko <viy@altlinux.ru> 0.8.2-alt1_10
- initial fc import

